Loot ledger#
GET /api/epgp/ledger#
Get the SQL ledger
Returns SQL (SideQuest Loot) ledger entries, newest first.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
query |
integer | null |
no |
Only return entries for this member. |
|
query |
string | null |
no |
Only return entries for this character name. |
|
query |
integer |
no |
Max entries to return. |
|
query |
string (date-time) | null |
no |
Only return entries before this time. |
Response 200 — A page of ledger entries.
Model: EpgpLedgerPage
Field |
Type |
Required |
Description |
|---|---|---|---|
|
array of EpgpLedgerRow |
yes |
GET /api/epgp/loot#
Get loot awards
Returns loot awards, newest first.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
|
query |
integer |
no |
Max awards to return. |
Response 200 — A page of loot awards.
Model: EpgpLootPage
Field |
Type |
Required |
Description |
|---|---|---|---|
|
array of EpgpLootRow |
yes |
GET /api/epgp/progression#
Get boss progression
Returns kill and wipe tallies per boss, grouped by instance.
Response 200 — The boss progression.
Model: EpgpProgression
Field |
Type |
Required |
Description |
|---|---|---|---|
|
array of EpgpProgressionInstance |
yes |
GET /api/epgp/standings#
Get SQL standings
Returns decayed-on-read EP/GP standings, highest PR first.
Response 200 — The SQL (SideQuest Loot) standings.
Model: EpgpStandings
Field |
Type |
Required |
Description |
|---|---|---|---|
|
string (date-time) |
yes |
|
|
yes |
||
|
array of EpgpStandingsRow |
yes |